#-----------------------------------------------------
# module Data_MusicList
# アイテム情報を管理するモジュール。
# ====================================================
# name:         曲名(String)
# path:         ファイル名(String)
# ====================================================
#-----------------------------------------------------

module Data_MusicList
  # アイテム参照基本処理
  def self.basic(id)
    mission = nil
    f = open($game_directory + '/data/bin/musiclist/%02d' % id + ".music")
    mission = f.read
    f.close
    return mission.split("\n")
  end
  # ミッションの総数を取得
  def self.number
    return Dir.glob('data/bin/musiclist/*.music').count
  end
  # アイテムIDから曲名を参照
  def self.name(id)
    return basic(id)[0]
  end
  # アイテムIDからファイル名を参照
  def self.path(id)
    return basic(id)[1]
  end
end
