#-----------------------------------------------------
# module Data_BattleBK
# 戦闘シミュレータ背景を管理するモジュール。
# ====================================================
# name:         名前(String)
# ====================================================
#-----------------------------------------------------

module Data_BattleBK
  # アイテム参照基本処理
  def self.basic(id)
    image = nil
    f = open($game_directory + '/data/bin/battlebk/%d' % id)
    image = f.read
    f.close
    return image.split("\n")
  end
  # ミッションの総数を取得
  def self.number
    return Dir.glob('data/bin/battlebk/*').count
  end
  # アイテムIDから名前を参照
  def self.name(id)
    return basic(id)[0]
  end
end
